Name: H5Aget_type
Signature:
  hid_t `H5Aget_type`(hid_t `attr_id`)
Purpose:
  Gets an attribute datatype.
Description:
  `H5Aget_type` retrieves a copy of the datatype for an attribute.

  The datatype is reopened if it is a named type before returning it to the application. The datatypes returned by this function are always read-only. If an error occurs when atomizing the return datatype, then the datatype is closed.

  The datatype identifier returned from this function must be released with `H5Tclose` or resource leaks will develop.

Parameters:

hid_t `attr_id` | IN: Identifier of an attribute.

Returns:
  Returns a datatype identifier if successful; otherwise returns a negative value.
Fortran90 Interface: h5aget_type_f

      SUBROUTINE h5aget_type_f(attr_id, type_id, hdferr)
        IMPLICIT NONE
        INTEGER(HID_T), INTENT(IN) :: attr_id  ! Attribute identifier
        INTEGER(HID_T), INTENT(OUT) :: type_id ! Attribute datatype identifier
        INTEGER, INTENT(OUT) :: hdferr         ! Error code:
                                               ! 0 on success and -1 on failure
      END SUBROUTINE h5aget_type_f